upstart needs to depend on ifupdown

Bug #527830 reported by Robert Collins on 2010-02-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
upstart (Ubuntu)
Low
Scott James Remnant (Canonical)

Bug Description

Binary package hint: upstart

upstart won't move out of runlevel S until lo comes up, lo won't come up unless an upstart enabled ifupdown is present.

The hardy ifupdown definitely doesn't count :). I'm not sure what version added the job, but that would be the one to depend on.

ProblemType: Bug
Architecture: amd64
Date: Fri Feb 26 01:54:36 2010
DistroRelease: Ubuntu 10.04
Package: upstart 0.6.5-3
ProcEnviron:
 LANGUAGE=la_AU.utf8
 PATH=(custom, user)
 LANG=la_AU.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: upstart
Uname: Linux 2.6.32-14-generic x86_64

Robert Collins (lifeless) wrote :
Changed in upstart (Ubuntu):
status: New → Fix Committed
importance: Undecided → Low
assignee: nobody → Scott James Remnant (scott)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart - 0.6.5-4

---------------
upstart (0.6.5-4) lucid; urgency=low

  * debian/control:
    - change Pre-Depends back to Depends, this was a holdover from when we
      attempted to make Upstart Essential to solve early sysvinit→upstart
      upgrade issues, we backed out the Essential bit but never the use of
      Pre-Depends. LP: #527722.
    - add versioned-dependencies on ifupdown for loopback fix that can
      prevent initscripts from being run. LP: #527830.

  * Merge patches from trunk to use /proc/self/fd instead of /dev/fd, and
    to always mount /proc and /sys on boot.
 -- Scott James Remnant <email address hidden> Fri, 26 Feb 2010 15:40:58 +0000

Changed in upstart (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers